/* Bootstrap */

.container-fluid {
  padding-right: 95px;
  padding-left: 95px;

  @include media-breakpoint-down(xxl) {
    padding-right: 111px;
    padding-left: 111px;
  }

  @media (max-width: 1399px) {
    padding-right: 20px;
    padding-left: 80px;
  }

  @include media-breakpoint-down(xl) {
    padding-right: 20px;
    padding-left: 20px;
  }
}

.btn {
  position: relative;
  width: 190px;
  font-family: $font-family-serif;
  font-size: 48px;
  line-height: .73;
  text-align: center;
  border: 0;

  @include transition;

  @include media-breakpoint-down(md) {
    width: 130px;
    font-size: 32px;
    line-height: 1.09;
  }

  &:hover,
  &:focus,
  &:active {
    border: 0 !important;
    outline: none !important;
    box-shadow: none !important;
  }

  &:before {
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    content: '';

    @include transition;
  }

  &.btn-dark {
    padding: 30px 20px 35px;
    color: #fff;
    background: transparent;

    @include media-breakpoint-down(md) {
      padding: 15px 10px 20px !important;
      text-align: center;
    }

    &:before {
      background: url(../img/btn-bg.svg) no-repeat center;
      background-size: contain;
    }

    &:hover {

      &:before {
        opacity: .8;
        transform: translateY(-5px) rotate(-10deg);
      }
    }

    &:active {

      &:before {
        opacity: 1;
      }
    }
  }

  &.btn-outline-light {
    padding: 30px 10px 35px;

    @include media-breakpoint-down(md) {
      padding-top: 15px;
      padding-bottom: 20px;
    }

    &:before {
      z-index: 0;
      background: url(../img/btn-light-bg.svg) no-repeat center;
      background-size: contain;
    }

    &:after {
      position: absolute;
      z-index: 0;
      top: 0;
      left: 0;
      display: block;
      width: 100%;
      height: 100%;
      opacity: 0;
      content: '';
      background: url(../img/btn-light-bg-white.svg) no-repeat center;
      background-size: contain;

      @include transition;
    }

    span {
      position: relative;
      z-index: 1;
    }

    &:hover {
      background: transparent;

      &:before {
        opacity: 0;
      }

      &:after {
        opacity: 1;
        transform: translateY(-5px) rotate(-10deg);
      }
    }

    &:active {

      &:before {
        opacity: 1;
      }
    }
  }

  &[disabled] {

    &:before {
      opacity: .3;
    }
  }
}

.nav-tabs {
  margin-bottom: 28px;
  display: flex;
  justify-content: center;
  border-bottom: 0;

  @include media-breakpoint-down(md) {
    margin-bottom: 15px;
    justify-content: space-around;
  }

  .nav-item {

    @include media-breakpoint-down(sm) {
      display: flex;
      width: 50%;
      justify-content: center;
    }
  }

  .nav-link {
    position: relative;
    padding: 22px 15px;
    color: $black;
    border: 0;

    @include transition;

    &:before {
      position: absolute;
      top: 50%;
      left: 50%;
      display: block;
      width: 100%;
      height: 100%;
      opacity: 0;
      content: '';
      background: url(../img/tab-border.svg) no-repeat center;
      background-size: 100% 100%;
      transform: translate(-50%, -50%);

      @include transition;
    }

    &:hover {
      color: $gray;
    }

    &.active,
    &:active {
      color: $gray;
      background: transparent;
      border: 0;

      &:before {
        opacity: 1;
      }
    }
  }
}

.form-check {
  display: flex;
  align-items: flex-start;

  &:hover {

    .form-check-input {
      opacity: .7;
    }
  }

  .form-check-input {
    margin-right: 10px;
    width: 24px;
    height: 24px;
    flex-shrink: 0;
    background: url(../img/check.svg) no-repeat center;
    background-size: contain;
    border: 0;
    outline: none !important;
    box-shadow: none !important;

    @include transition;

    &:checked {
      background: url(../img/checked.svg) no-repeat center;
      background-size: contain;
    }
  }

  .form-check-label {
    font-size: 18px;
    line-height: 1.66;
    color: $gray;

    @include media-breakpoint-down(md) {
      font-size: 16px;
      line-height: 1.5625;
    }

    a {
      text-decoration: none;
      color: $primary;
      border-bottom: 1px solid $primary;

      @include transition;

      &:hover {
        border-color: transparent;
      }
    }
  }
}

.shadow {
  box-shadow: none !important;
}

.invalid-feedback {
  margin-top: 10px;
  font-size: 16px;
  line-height: 1.5625;
  color: $danger;
}

.was-validated .form-control:invalid,
.form-control.is-invalid {
  background: #fff url(../img/icon-invalid.svg) no-repeat center right 17px;
  border: 1px solid $danger;
}

.was-validated .form-control:valid,
.form-control.is-valid {
  background: #fff url(../img/icon-valid.svg) no-repeat center right 17px;
  border: 1px solid $success;
}

/* Slick */

.slick-slide {

  &:focus {
    outline: none;
  }
}

.slick-dots {
  position: relative;
  margin-top: 30px;
  margin-bottom: 0;
  padding-left: 0;
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;

  li {
    margin-right: 10px;
    display: block;
    list-style: none;

    &:last-child {
      margin-right: 0;
    }
  }

  button {
    display: block;
    width: 10px;
    height: 10px;
    font-size: 0;
    background: transparent;
    border: 1px solid $black;
    border-radius: 50%;

    @include transition;

    &:hover {
      border-color: $gray;
    }
  }

  &__filler {
    position: absolute;
    top: 0;
    left: 0;
    width: 10px;
    height: 10px;
    opacity: 0;
    background: $black;
    border-radius: 50%;

    &:before {
      position: absolute;
      top: 50%;
      left: 50%;
      display: block;
      width: 16px;
      height: 16px;
      content: '';
      border: 1px dashed $black;
      border-radius: 50%;
      transform: translate(-50%, -50%);
    }

    &--animated {
      opacity: 1;

      @include transition;
    }
  }
}

/* Select */

.select {

  .select2-container .select2-selection--single,
  .select2-container--default .select2-selection--multiple {
    height: 60px;
    border: 0;
    border-radius: 5px;

    @include transition;

    &:hover {
      box-shadow: 0 25px 50px -16px rgba(189, 189, 189, .35);
    }
  }

  .select2-container .select2-selection--single .select2-selection__rendered,
  .select2-container--default .select2-selection--multiple .select2-selection__rendered {
    padding-right: 15px;
    padding-left: 15px;
    display: flex;
    height: 60px;
    align-items: center;
    font-size: 18px;
    line-height: 1.66;
  }

  .select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 2px;
    right: 1px;
    width: 38px;
    height: calc(100% - 4px);
    background: #fff url(../img/select-arrow.svg) no-repeat center;
    transform: none;
  }

  .select2-container--open .select2-selection--single .select2-selection__arrow {
    transform: rotate(180deg);
  }

  .select2-container--default .select2-selection--single .select2-selection__arrow b {
    display: none;
  }

  .select2-dropdown {
    border: 0;
    border-radius: 0 0 5px 5px;
    box-shadow: 0 25px 50px -16px rgba(189, 189, 189, .35);
  }

  .select2-container--default .select2-results > .select2-results__options {
    position: relative;
    height: 180px;

    &.ps--active-y {
      padding-right: 40px;
    }
  }

  .select2-results__option {
    padding-right: 15px;
    padding-left: 15px;
    display: flex;
    height: 60px;
    align-items: center;
    font-size: 18px;
    line-height: 1.66;

    &:last-child {
      border-radius: 0 0 5px 5px;
    }
  }

  .select2-container--default .select2-results__option[aria-selected='true'] {
    background: transparent;
  }

  .select2-container--default .select2-results__option--highlighted[aria-selected] {
    color: $black;
    background: $primary;
  }
}

/* Fancybox */

.fancybox__content > .carousel__button.is-close {
  top: -24px;
  left: 50%;
  width: 48px;
  height: 48px;
  background: $primary;
  border-radius: 50%;
  transform: translateX(-50%);

  @include transition;

  &:after {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    content: '';
    background: url(../img/modal-close.svg) no-repeat center;
  }

  &:hover {
    background: #fdd079;

    &:after {
      opacity: .7;
    }
  }

  &:active {
    background: $primary;

    &:after {
      opacity: 1;
    }
  }

  svg {
    display: none;
  }
}

.fancybox__backdrop {
  background: rgba($black, .7);
}

.fancybox__nav .carousel__button {
  width: 48px;
  height: 48px;
  background: url(../img/arrow-back-white.svg) no-repeat center;

  @include media-breakpoint-down(xl) {
    display: none;
  }

  svg {
    display: none;
  }

  &.is-next {
    background: url(../img/arrow-white.svg) no-repeat center;
  }
}

.fancybox__thumb {
  border-radius: 0;
}

.fancybox__thumbs .carousel__slide .fancybox__thumb:after {
  border-width: 3px;
  border-color: $primary;
  border-radius: 0;
}

/* Perfect Scrollbar */

.ps__rail-y {
  right: 26px;
  width: 3px;
  height: 100% !important;
  opacity: 1 !important;
  background: $gray !important;
  border-radius: 6px;

  .ps__thumb-y {
    right: -4px;
    width: 11px;
    background: $black;
  }
}
